aboutsummaryrefslogtreecommitdiffstats
path: root/extra/update_gh-pages.sh
diff options
context:
space:
mode:
Diffstat (limited to 'extra/update_gh-pages.sh')
-rw-r--r--extra/update_gh-pages.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/extra/update_gh-pages.sh b/extra/update_gh-pages.sh
new file mode 100644
index 00000000..9f08b8a3
--- /dev/null
+++ b/extra/update_gh-pages.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e -u -o pipefail
+
+cd rust
+cargo doc
+mkdir -p /tmp/fatcat-ghpages
+cp -r release/doc/fatcat release/doc/fatact_api_spec /tmp/fatcat-ghpages
+cd ..
+git checkout gh-pages
+mv /tmp/fatcat-ghpages/* .
+git add -u fatcat fatact_api_spec
+git commit -m "updating rendered manpage for github docs" || true
+git checkout master
+rm -r /tmp/fatcat-ghpages
+
+echo "DONE"